<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddWrkHrsBasedOnEmpPayTransIncomeDeduction extends Migration
{
    public function up()
    {
        $fields = [
            'worked_days_based' => [
                'type' => 'TINYINT',
                'constraint' => 1,
                'null' => false,
                'after' => 'is_percent_amt',
            ],
        ];
        $this->forge->addColumn('emp_pay_trans_inded', $fields);
    }

    public function down()
    {
        $fields = [
            'worked_days_based',
        ];

        $this->forge->dropColumn('emp_pay_trans_inded', $fields);
    }
}
